net.dontdrinkandroot.lastfm.api.model

## Class Radio

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.Radio

    public final class Radio
    extends Object

### Method Summary

Methods
`static AuthenticatedGetQuery<XspfPlaylist>` `getPlaylist(String sk, Boolean discovery, Boolean rtp, Integer bitrate, Boolean buylinks, Float speedMultiplier)` Fetch new radio content periodically in an XSPF format.
`static PostQuery<Station>` `tune(URI station, net.dontdrinkandroot.utils.ISO_639_1 lang, String sk)` Tune in to a Last.fm radio station.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPlaylist

    public static AuthenticatedGetQuery<XspfPlaylist> getPlaylist(String sk,
                                                  Boolean discovery,
                                                  Boolean rtp,
                                                  Integer bitrate,
                                                  Boolean buylinks,
                                                  Float speedMultiplier)

Fetch new radio content periodically in an XSPF format.

Parameters:
  `sk` - A session key generated by authenticating a user via the authentication protocol. (Required).
  `discovery` - Whether to request last.fm content with discovery mode switched on. (Optional).
  `rtp` - Whether the user is scrobbling or not during this radio session (helps content generation) (Optional).
  `bitrate` - What bitrate to stream content at, in kbps (supported bitrates are 64 and 128) (Optional).
  `buylinks` - Whether the response should contain links for purchase/download, if available (default false) (Optional).
  `speedMultiplier` - The rate at which to provide the stream (supported multipliers are 1.0 and 2.0) (Optional).
Returns:

#### tune

    public static PostQuery<Station> tune(URI station,
                          net.dontdrinkandroot.utils.ISO_639_1 lang,
                          String sk)

Tune in to a Last.fm radio station.

Parameters:
  `station` - A lastfm radio URL (Required).
  `lang` - An ISO language code to determine the language to return the station name in, expressed as an ISO 639 alpha-2 code. (Optional).
  `sk` - A session key generated by authenticating a user via the authentication protocol. (Required).
Returns: